umount.davfs(8)

BEZEICHNUNG
umount.davfs - Umount-Hilfsprogramm für davfs2 Dateisysteme

ÜBERSICHT
umount.davfs [-h | --help] [-V | --version]
umount dir

ÜBERSICHT (nur für root)
umount.davfs dir

BESCHREIBUNG
umount.davfs ist ein Hilfsprogramm, das von umount(8) aufgerufen wird. Es soll verhindern, dass das umount-Kommando zurück kehrt, bevor mount.davfs alle geänderten Dateien aus dem Cache auf den WebDAV-Server zurück sichern konnte.

dir ist der Einhängepunkt. Es kann eine absolute oder relative Pfadangabe sein.

Bei lokalen Dateisystemen kehrt umount(8) erst zurück, wenn alle Daten aus dem Cache auf die Festplatte geschrieben sind. Dies funkioniert bei einem davfs2-Dateisystem nicht automatisch. Mit diesem Hilfsprogramm kann sich der Benutzer auf das bekannte Verhalten von umount(8) verlassen. Es sollte auch immer mit der Option _netdev eingehängt werden, damit das Betriebssystem darüber informiert wird, dass das davfs2-Dateisystem eine Netzwerkverbindung braucht.

Abhängig von der Datenmenge und der Qualität der Netzwerkverbindung kann das Aushängen ein paar Sekunden, aber auch einige Stunden dauern.

Wenn der mount.davfs-Hintergrundprozess ernste Probleme hat, kann umount.davfs möglicherweise das Dateisystem nicht aushängen, sondern meldet einen Fehler. Versuche es in diesem Fall mit umount -i. Die Option -i hindert umount(8) daran, umount.davfs aufzurufen.

OPTIONEN

-V --version
    Zeige die Version an.

-h --help
    Zeige einen Hilfe-Text an.

-f -l -n -r -v -t
    Dies Optionen dienen nur der Kompatibilität mit umount(8) und werden ignoriert.

DATEIEN

/var/run/mount.davfs
    Die PID-Dateien der laufenden mount.davfs-Hintergrundprozesse werden in diesem Verzeichnis gesucht.

FEHLER
Derzeit keine bekannten.

AUTOREN
Diese Handbuch hat Werner Baumann <werner.baumann@onlinehome.de> geschrieben.

ÜBERSETZER
Das Handbuch wurde von Werner Baumann <werner.baumann@onlinehome.de> übersetzt. 2009-04-27

DAVFS2 HOME
http://savannah.nongnu.org/projects/davfs2

SIEHE AUCH
mount.davfs(8), umount(8), davfs2.conf(5), fstab(5)